- name: software | nextcloud | install 
  tags: packages,nextcloud,workstation-packages
  package:
    name:
      - nextcloud-client
  when: 
    - ansible_distribution in ["Fedora", "openSUSE Tumbleweed-Slowroll", "openSUSE Leap"]
    - nextcloud is defined
    - nextcloud == true

- name: software | nextcloud | install 
  tags: packages,nextcloud,workstation-packages
  package:
    name:
      - nextcloud-desktop
  when: 
    - ansible_distribution in ["Pop!_OS", "Ubuntu"]
    - nextcloud is defined
    - nextcloud == true

- name: software | nextcloud-client | copy config files
  tags: dotfiles,dotfiles-super_user

  copy:
    src: users/super_user/{{ item.src }}
    dest: /home/super_user/{{ item.dest }}
    owner: super_user
    group: super_user

    mode: 0660
  with_items:
    - { src: 'nextcloud.cfg', dest: '.config/Nextcloud' }
  when:
    - ansible_distribution in ["Fedora", "openSUSE Leap", "openSUSE Tumbleweed-Slowroll", "Pop!_OS", "Ubuntu"]
    - nextcloud is defined
    - nextcloud == true